---
title: 'set:intersection()'
slug: Web/EXSLT/set/intersection
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<p>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}</p>

<p><code>set:intersection()</code> returns the intersection of two node-sets. In other words, it returns a node-set containing all the nodes that exits in both <code>nodeSet1</code> and <code>nodeSet2</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">set:intersection(<var>nodeSet1</var>, <var>nodeSet2</var>)</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code>nodeSet1</code></dt>
 <dd>The first node-set.</dd>
 <dt><code>nodeSet2</code></dt>
 <dd>The second node-set.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A node-set containing the nodes that existed in both <code>nodeSet1</code> and in <code>nodeSet2</code>.</p>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/set/functions/intersection/index.html">EXSLT - SET:INTERSECTION</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.set.intersection")}}</p>
